List Knowledge Base Documents
Per-document ingestion status, including error for a failed one - the UI's only window into the background ingestion pipeline.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
knowledge_base_id*Knowledge Base Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "filename": "string", "content_type": "string", "status": "string", "error": "string", "chunk_count": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}{ "detail": "string", "code": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}